Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 325075 - app-doc/php-docs ebuild porting to Gentoo Prefix request
Summary: app-doc/php-docs ebuild porting to Gentoo Prefix request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-22 15:31 UTC by Thomas Burkard
Modified: 2010-07-06 18:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Burkard 2010-06-22 15:31:40 UTC
the ebuild app-doc/php-docs/php-docs-20100326.ebuild tries to access "${D}" which should be "${ED}" iirc.

line 51:
>        cp -R "${WORKDIR}"/${lang} "${D}"/usr/share/doc/${PF} || die "cp failed on ${lang}"


the result is an aborted merge due to a non-existing path. changing the variable to "${ED}" fixes the issue.

Reproducible: Always




tested on a amd64-linux system.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2010-06-28 20:48:24 UTC
Correct, it was never tested on Gentoo Prefix before (hence no KEYWORDS). I'm not surprised it is "broken"
Comment 2 Fabian Groffen gentoo-dev 2010-07-02 14:09:37 UTC
@php: are you ok with this change to the ebuild?

--- php-docs-20100326.ebuild    31 Mar 2010 22:02:32 -0000      1.1
+++ php-docs-20100326.ebuild    2 Jul 2010 14:05:19 -0000
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/app-doc/php-docs/php-docs-20100326.ebuild,v 1.1 2010/03/31 22:02:32 mabi Exp $
 
-EAPI="1"
+EAPI="3"
 
 DESCRIPTION="HTML documentation for PHP"
 HOMEPAGE="http://www.php.net/download-docs.php"
@@ -26,7 +26,7 @@
 
 S=${WORKDIR}
 
-src_unpack() {
+src_prepare() {
        for lang in en ${LANGS} ; do
                if use linguas_${lang} ; then
                        mkdir ${lang}
@@ -39,7 +39,7 @@
 
 pkg_preinst() {
        # remove broken/stale symlink created by previous ebuilds
-       [[ -L ${ROOT}/usr/share/php-docs ]] && rm -f "${ROOT}"/usr/share/php-docs
+       [[ -L ${EROOT}/usr/share/php-docs ]] && rm -f "${EROOT}"/usr/share/php-docs
 }
 
 src_install() {
@@ -48,7 +48,7 @@
        for lang in en ${LANGS} ; do
                if use linguas_${lang} ; then
                        ebegin "Installing ${lang} manual, will take a while"
-                       cp -R "${WORKDIR}"/${lang} "${D}"/usr/share/doc/${PF} || die "cp failed on ${lang}"
+                       cp -R "${WORKDIR}"/${lang} "${ED}"/usr/share/doc/${PF} || die "cp failed on ${lang}"
                        eend $?
                fi
        done
Comment 3 Matti Bickel (RETIRED) gentoo-dev 2010-07-06 13:56:41 UTC
Sure, go ahead.
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2010-07-06 18:31:58 UTC
fixed. I didn't change the src_unpack step though, it seems like unpack() should be in src_unpack ;)